<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bRestriccion,m05bClasses.*,java.io.PrintWriter" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
	<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
		<title><%= resTit.getString("titMtoRestricciones")%></title>
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<%
	m05bFileLog miLog = new m05bFileLog();
	m05bConexion miConex = new m05bConexion();

	String persona=(String)session.getAttribute("persona");
	miLog.addTraza(persona,"Restricciones","INICIO", m05bConstantes.LOG_NIVEL_BAJO);
	String dni, descripcion="", mensaje="", accion="", origen="",descripcionEu="";
	boolean reInsertar=false;
	dni = request.getParameter("Codigo")==null?"":request.getParameter("Codigo");
	descripcion = request.getParameter("Descripcion")==null?"":request.getParameter("Descripcion");
	descripcionEu= request.getParameter("DescripcionEu")==null?"":request.getParameter("DescripcionEu");
	origen = request.getParameter("Origen")==null?"":request.getParameter("Origen");
	accion = request.getParameter("Accion")==null?"":request.getParameter("Accion");
	//m05bRestriccion restriccion = null;
	mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
	PrintWriter outMsg= response.getWriter();
	if (mensaje.equals(m05bConstantes.MSG_OK)) {
		    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
	} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
	    	reInsertar=true;
	    	outMsg.println("<script>alert(dameAlerta(idioma, 25));</script>");
	} else 	if (mensaje.equals(m05bConstantes.MSG_NOEXISTEDNI)) {
			reInsertar=true;
		    outMsg.println("<script>alert(dameAlerta(idioma, 26));</script>");
	}
	outMsg.close();
	
    java.sql.Connection conn = null;
    PreparedStatement pstmt = null;
	ResultSet rs = null;
	String sql="";
	
	try {
		miLog.addTraza("","","Dni: " +dni, m05bConstantes.LOG_NIVEL_BAJO);
		miLog.addTraza("","","Descripcion: " +descripcion, m05bConstantes.LOG_NIVEL_BAJO);
		miLog.addTraza("","","DescripcionEu: " +descripcionEu, m05bConstantes.LOG_NIVEL_BAJO);
		miLog.addTraza("","","Origen: " +origen, m05bConstantes.LOG_NIVEL_BAJO);
		//Debo hacerlo siempre
		if(accion.equals("")){
			conn = miConex.getConnection();
	
			sql="select	" + m05bConstantes.COL_47_DESCRIPCION +", E"+m05bConstantes.COL_47_DESCRIPCION +
					" from " + m05bConstantes.TAB_RESTRICCIONES+
					" where " + m05bConstantes.COL_47_DNI + " = '" + dni + "'" ;
		    pstmt = conn.prepareStatement(sql);
			rs = pstmt.executeQuery();
			if (rs.next()){
				accion=m05bConstantes.ACC_ACTUALIZAR;
				descripcion=rs.getString(1);
				descripcionEu=rs.getString(2);
			} else {
				accion=m05bConstantes.ACC_INSERTAR;
			}
		}
	} catch(Exception ex1 ) {
		miLog.addTraza(ex1);
	} finally {
		if (rs != null)
			rs.close();
		if (pstmt != null)
			pstmt.close();
		if (conn != null)
			conn.close();
	}
%>
 <SCRIPT language=JavaScript>
	var urlIdioma;		//URL recarga en funcion del idioma	var urlIdioma;
	var detPadre;		//Ventana padre de la actual
	var detActual;		//Ventana actual
	var rutaCabecera;	//Camino de migas
	urlIdioma = "<%=m05bConstantesPaginas.MTO_RESTRICCIONES%>?Codigo=<%=dni%>&Mensaje=false";
	detPadre = '<%=resCM.getString("cmRelRestricciones")%>';
	rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%><%=m05bConstantesPaginas.MTO_REL_RESTRICCIONES%>" + "'>\\"+detPadre+"</a>";
	detActual = '<%=resCM.getString("cmMtoRestricciones")%>';
	//rutaCabecera += "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
 </SCRIPT>
 <%@include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formRestricciones" METHOD="POST">
					  <TABLE class="general">
					    <tr> 
					      <% if (origen.equals("P")) {  %>
							  <td width="80%" align="right">
							 	<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
							  </td>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar('<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
					      <% } else {  %>
						      <td width="90%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar('<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
					      <% }  %>
						      <td width="10%" align="right"> 
						      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar('<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
						      </td>
						</tr>
					  </TABLE>
					  <TABLE class="general">
					  <% if (dni.equals("")||reInsertar) {  %>
						    <tr>
							      <td colspan="2" class="inputFieldTitle"><%= res.getString("etDNI")%></td>
							      <td class="inputFieldTitle"><%= res.getString("etPersona")%></td>
						    </tr>
						    <tr>
							      <td align="left" width="10%"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Dni" size="12" maxlength="22" VALUE="<%=(dni==null?"":dni)%>"></td>
						          <td align="left">&nbsp;
						          	<input type="button" class="boton" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscarPersonas(formRestricciones);return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />
						          </td>
							      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Nombre" size="44" maxlength="100" VALUE=""></td>
						    </tr>
						    <tr> 
							      <td colspan="3" class="inputFieldTitle"><%= res.getString("etRestriccion")%></td>
						    </tr>
						    <tr> 
							      <td colspan="3" align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" size="105" maxlength="2000" VALUE="<%=(descripcion==null?"":descripcion)%>"/> </td>
							      
						    </tr>
						     <tr> 
							      <td colspan="3" class="inputFieldTitle"><%= res.getString("etRestriccionEu")%></td>
						    </tr>
						
						    <tr> 
							      <td colspan="3" align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="DescripcionEu" size="105" maxlength="2000" VALUE="<%=(descripcionEu==null?"":descripcionEu)%>"/> </td>
							      
						    </tr>
					  <% } else {  %>
						    <tr> 
							      <td width="20%" class="inputFieldTitle"><%= res.getString("etDNI")%></td>
							      <td width="40%" class="inputFieldTitle"><%= res.getString("etRestriccion")%></td>
							      <td width="40%" class="inputFieldTitle"><%= res.getString("etRestriccionEu")%></td>
						    </tr>
						    <tr> 
								  <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" disabled NAME="Dni" VALUE="<%=dni%>" size="13" maxlength="20"/> </td>
							      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="Descripcion" VALUE="<%=descripcion%>" size="70" maxlength="2000"/> </td>
							         <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="DescripcionEu" VALUE="<%=descripcionEu%>" size="70" maxlength="2000"/> </td>
						    </tr>
					  <% }%>
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
<SCRIPT language='javascript'>
	function fncRetornar() {
		var docu = document.formRestricciones;
		docu.action="m05bPersonalJsp.jsp?Codigo=<%=dni%>&Mensaje=false";
		docu.submit();
	}  // Fin funcion fncRetornar

	function fncGrabar(accion) {
		var docu = document.formRestricciones;
		
		if(docu.Dni.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Dni.focus();
			return;
		}
	 	if(existeCaracter(docu.Dni.value,"\'")||existeCaracter(docu.Dni.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Dni.focus();
			return;
		}
		if(docu.Descripcion.value==""||docu.DescripcionEu.value==""){
			alert(dameAlerta(idioma, 0));
			docu.Descripcion.focus();
			return;
		}
		if(eval(docu.Nombre)){
			if(existeCaracter(docu.Nombre.value,"\'")||existeCaracter(docu.Nombre.value,'\"')){
				alert(dameAlerta(idioma, 1));
				docu.Nombre.focus();
				return;
			}	
		}
		if(existeCaracter(docu.Descripcion.value,"\'")||existeCaracter(docu.Descripcion.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.Descripcion.focus();
			return;
		}
		
		if(accion=='<%=m05bConstantes.ACC_ELIMINAR%>'){
			if(!confirm('<%= res.getString("etCONFIRM_BORRAR")%>'))
				return;
		}	
		
		document.formRestricciones.Dni.disabled=false;
	    document.formRestricciones.action="m05bGrabarRestriccionServlet?Accion=" + accion + "&Origen=<%=origen%>";
		document.formRestricciones.submit();
	}  // Fin funcion fncGrabar

    setTimeout('initSlide();', 1);
</SCRIPT>
</BODY>
</HTML>